using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("Valorant", "", ModAPI.LoadSprite("CategoryLogo.png"));
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=grey>Jett", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The wind is commonly known for being cool, but Jett is an aggressive agent who has a distinctive, sarcastic personality.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Jett.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Jett.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("Jett");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/JettHair2.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=purple>Reyna", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Reyna takes what she wants when she wants it, no matter who is standing in her way.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Reyna.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Reyna.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("Reyna");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/ReynaHair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=orange>Raze", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The one-woman party from Bahia, Raze is always playful, impulsive, and spontaneous.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Raze.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Raze.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("RazeHeadphones");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/RazeHeadphones.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=yellow>KillJoy", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The genius of Germany, Killjoy secures the battlefield with ease using her arsenal of inventions.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/KillJoy.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/KillJoy.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("kjhat");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.10f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/kjhat.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=orange>Phoenix", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Hailing from the U.K., Phoenix's star power shines through in his fighting style, igniting the battlefield with flash and flare.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/phoenix.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Phoenix.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("phoenixhair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.10f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/phoenixhair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
		
			foreach (var body in person.Limbs)
                        {
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
                        }
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=green>Viper", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The American chemist, Viper deploys an array of poisonous chemical devices to control the battlefield and cripple the enemy's vision.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/viper.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/viper.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("viperhair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/viperhair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=blue>Sova", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Born from the eternal winter of Russia's tundra, Sova tracks, finds, and eliminates enemies with ruthless efficiency and precision.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Sova.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Sova.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("sovahair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/sovahair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=blue>Yoru", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Japanese native Yoru rips holes straight through reality to infiltrate enemy lines unseen.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/yoru.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/yoru.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("yoruhair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/yoruhair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=purple>Omen", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>A living nightmare, Omen takes full advantage of his shadowed physique and will not hesitate to eliminate his enemies using the forces of paranoia and fear.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Omen.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/Omen.png");
            var flesh = ModAPI.LoadTexture("textures/Char/omen layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/omen bone.png");
			
			var childObjectF = new GameObject("omenhair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/omenhair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(77, 44, 110); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(77, 44, 110); //second bruise colour. red by default
            person.SetThirdBruiseColor(77, 44, 110); // third bruise colour. light yellow by default
            person.SetRottenColour(77, 44, 110); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(77, 44, 110); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=white>Cypher", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The Moroccan information broker, Cypher is a one-man surveillance network who keeps tabs on the enemy’s every move.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/cypher.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/cypher.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("cypherhat");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/cypherhat.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=blue>Sage", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>The stronghold of China, Sage creates safety for herself and her team wherever she goes. Able to revive fallen friends and stave off aggressive pushes, she provides a calm center to a hellish fight.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/sage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/sage.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("sagehair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/sagehair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=green>Skye", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Hailing from Australia, Skye and her band of beasts trail-blaze the way through hostile territory. With her creations hampering the enemy, and her power to heal others, the team is strongest and safest by Skye's side.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/skye.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/skye.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("skyehair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.025f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/skyehair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=purple>Astra", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Ghanaian Agent Astra harnesses the energies of the cosmos to reshape battlefields to her whim.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/astra.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/astra.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("astrahair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.025f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/astrahair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=blue>Neon", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Filipino Agent, Neon, surges forward at shocking speeds, discharging bursts of bioelectric radiance as fast as her body generates it. She races ahead to catch enemies off guard, then strikes them down quicker than lightning.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/neon.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/neon.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("neonhair");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.050f, 0.04f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/neonhair.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=yellow>Chamber", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Well dressed and well armed, French weapons designer Chamber expels aggressors with deadly precision. He leverages his custom arsenal to hold the line and pick off enemies from afar, with a contingency built for every plan.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/chamber.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/chamber.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("chamberglasses");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.05f, 0.05f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/chamberglasses.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "<color=orange>Brimstone", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>Joining from the USA, Brimstone's orbital arsenal ensures his squad always has the advantage. His ability to deliver utility precisely and from a distance make him an unmatched boots-on-the-ground commander.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/brimstone.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/brimstone.png");
            var flesh = ModAPI.LoadTexture("textures/Char/flesh layer.png");
            var bone = ModAPI.LoadTexture("textures/Char/bone layer.png");
			
			var childObjectF = new GameObject("brimhat");
                      childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                      childObjectF.transform.position = Instance.transform.position;
                      childObjectF.transform.localPosition = new Vector3(0.05f, 0.05f);
                      childObjectF.transform.localScale = new Vector3(1f, 1f);
					  
			var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                            childSpriteF.sprite = ModAPI.LoadSprite("textures/Char/brimhat.png");
                            childSpriteF.sortingLayerName = "Top";

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
		person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
				}
			}
		);
		
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"), //item to derive from
        NameOverride = "<color=grey>KAY/O", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "<color=white>KAY/O is a machine of war built for a single purpose: neutralizing radiants. His power to suppress enemy abilities cripples his opponents' capacity to fight back, securing him and his allies the ultimate edge.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/Thumb/Kayo.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code i	n the AfterSpawn delegate will be executed when the item is spawned
        {
						
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("textures/Char/kayo.png");
            var flesh = ModAPI.LoadTexture("textures/Char/kayo.png");
            var bone = ModAPI.LoadTexture("textures/Char/android.png");


            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);
				}
			}
		);
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("AK-47"), //item to derive from
        NameOverride = "Vandal", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Vandal is a Rifle that is a primary weapon in VALORANT.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/vandal2.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //setting the sprite
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/vandal.png", 1.2f);

            //getting the FirearmBehaviour for later manipulation
            var firearm = Instance.GetComponent<FirearmBehaviour>();

            //creating a custom cartridge for the gun
            Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm"); //load a copy of the 9mm cartridge
            customCartridge.name = "7.63×25mm"; //set a name
            customCartridge.Damage *= 1.2f; //change the damage however you like
            customCartridge.StartSpeed *= 0.5f; //change the bullet velocity
            customCartridge.PenetrationRandomAngleMultiplier *= 0.5f; //change the accuracy when the bullet travels through an object
            customCartridge.Recoil *= 0.8f; //change the recoil
            customCartridge.ImpactForce *= 1f; //change how much the bullet pushes the target

            //set the cartridge to the FirearmBehaviour
            firearm.Cartridge = customCartridge;

            //set the new gun sounds. this is an array of AudioClips that is picked from at random when shot
            firearm.ShotSounds = new AudioClip[]
            {
                ModAPI.LoadSound("textures/weapons/vandalshot.wav")
            };

            // set the collision box to the new sprite shape
            // this is the easiest way to fix your collision shape, but it also the slowest.
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sentry Turret"),
                    NameOverride = "<color=yellow>KJ's turret",
                    NameToOrderByOverride = "KJ's turret",
                    DescriptionOverride = "<color=white>Turret that automatically fires at enemies in a 180 degree cone. (STILL WORK IN PROGRESS)",
                    CategoryOverride = ModAPI.FindCategory("Valorant"),
                    ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/kjturret.png"),
                    AfterSpawn = (Instance) =>
                    {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/kjturret.png");
					 Instance.FixColliders();
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(1).gameObject);
                        UnityEngine.Object.Destroy(Instance.transform.GetChild(2).gameObject);
                    }
                }
            );
		
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Jett's knife", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Highly accurate throwing knives.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/JettKnife.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/JettKnife.png"); 
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sticky Grenade"),
        NameOverride = "Cluster Grenade",
        NameToOrderByOverride = "E",
        DescriptionOverride = "Throwing the grenade does damage and creates sub-munitions, each doing damage to anyone in their range. (Paint Shells)",
        CategoryOverride = ModAPI.FindCategory("Valorant"),
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/razegrenade.png"),
        AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/razegrenade.png", 1f);
        ExplosiveBehaviour explbehaviour = Instance.GetComponent(typeof(ExplosiveBehaviour)) as ExplosiveBehaviour;
        explbehaviour.Range = 2f;
        explbehaviour.Delay = 5f;
        Instance.FixColliders();
		Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 5f;
        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 1f;
		Instance.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.1f;


             }
         }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sticky Grenade"),
        NameOverride = "<color=blue>Spike",
        NameToOrderByOverride = "F",
        DescriptionOverride = "<color=white>It's stealing radianite from the environment... (Takes 45seconds to explode(still in development)) ",
        CategoryOverride = ModAPI.FindCategory("Valorant"),
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/spike.png"),
        AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/spike.png", 1f);
        ExplosiveBehaviour explbehaviour = Instance.GetComponent(typeof(ExplosiveBehaviour)) as ExplosiveBehaviour;
        explbehaviour.Range = 200f;
        explbehaviour.Delay = 45f;
        Instance.FixColliders();
		Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 5000f;
        Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 10000f;
		Instance.GetComponent<ExplosiveBehaviour>().DismemberChance = 10f;
		Instance.AddComponent<UseEventTrigger>().Action = () =>
           {
              ModAPI.Notify("The spike has been planted!");
           };
             }
         }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Cube"), //item to derive from
        NameOverride = "Valorant Box", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Boxes, that you can find on almost every Valorant map.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/Crate.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/Crate.png", 0.5f); 
			Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Cube"), //item to derive from
        NameOverride = "Sage's wall", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Wall that fortifies after a few seconds.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/sagewall.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/sagewall.png", 0.3f); 
			Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Wheel"), //item to derive from
        NameOverride = "Reyna's Leer", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Nearsights all enemies who look at it.", //new item description
        CategoryOverride = ModAPI.FindCategory("Valorant"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("textures/thumb/Leer.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //get the SpriteRenderer and replace its sprite with a custom one
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("textures/weapons/Leer2.png", 1.2f); 
			Instance.FixColliders();
        }
    }
);


        }
    }
}